[ Maverik Level 3 functions ]

#

mav_gfxWindowPointerGet

## Summary

Query the position of the mouse.

## Syntax

int mav_gfxWindowPointerGet(int id, int *x, int *y, int *rx, int *ry, int *buts);

- int id
  Identifies the window to measure position relative to.

- int *x
  Returns horizontal position relative window id.

- int *y
  Returns vertical position relative window id.

- int *rx
  Returns horizontal position relative to root window.

- int *ry
  Returns vertical position relative to root window.

- int *buts
  Returns the status of the buttons.

## Description

This function polls the mouse for its position and button status returning the data in the arguments described above.

Back to the index page.